Page MenuHomeVyOS Platform

module pcspkr missing
Closed, ResolvedPublicBUG

Description

pcspkr doesn't exist anymore, it must have been removed between Dec 2018 and Jan. 2019.
doesn't exist on epa3 and VyOS 1.2.0-rolling+201901261827

Exists and is working in: 1.2.0-rolling+201812210337

Compiled in but not working anymore. Capabilities for devices are missing etc.

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.2.0-rolling+201901261827
Why the issue appeared?
Implementation mistake
Is it a breaking change?
Perfectly compatible

Related Objects

StatusSubtypeAssignedTask
ResolvedBUGc-po
OpenBUGNone

Event Timeline

hagbard created this task.Jan 26 2019, 6:25 PM
hagbard renamed this task from module pcspkr missiing to module pcspkr missing.Jan 26 2019, 6:35 PM
hagbard updated the task description. (Show Details)
syncer triaged this task as Low priority.Jan 27 2019, 12:41 AM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Feb 8 2019, 12:58 PM
c-po added a subscriber: c-po.Aug 28 2020, 8:24 PM

This is no longer compiled as a module but rather statically into the kernel (https://github.com/vyos/vyos-build/blob/current/packages/linux-kernel/x86_64_vyos_defconfig#L188)

  • /sys/bus/platform/devices/pcspkr
  • /sys/devices/platform/pcspkr

What exactly do you mean my "capabilities missing"`

As far as I recall it doesn't initializes is correctly anymore, you can test with beep. The system beep you can set via cli is broken since then.

c-po changed the task status from Open to In progress.Aug 29 2020, 7:22 AM
c-po claimed this task.
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).
hagbard added a comment.EditedAug 29 2020, 5:28 PM

echo -ne "\a" should give you a beep sound on the the system speaker too, if you just want to quickly test it. I tested it with deb10 minimal install, works via qemu too.
e.g: qemu-system-x86_64 -smp cpus=3 -soundhw pcspk -m 1024 -enable-kvm -drive file=os.img,media=disk (os disk is a deb10 netinstall).
With capabilities I meant the listed capabilities listed under the input link via sys:

ls /sys/devices/platform/pcspkr/input/input19/capabilities/
abs  ev  ff  key  led  msc  rel  snd  sw

They are missing as well as the input link (subsys input), bustype and verdor id and version are usually under input too.

Also beep uses /dev/input/by-path/platform-pcspkr-event-spkr and doesn't care about /sys.

@c-po https://github.com/vyos/vyos-build/pull/121 will fix it, but I used .142 while the conifg file was from 136, so please review first. I tested it and the system speaker is fully functional again.
You can test it quickly via `echo -ne "\a"', which should make noise. Beep seems to be broken, looks like it can't be used via sudo, something I may can have a look later into.
cheers

c-po closed this task as Resolved.Aug 30 2020, 8:57 AM
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Implementation mistake.
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.6) board.